Name:		solang
Version:	0.3
Release:	1%{?dist}
Summary:	A photo manager for GNOME

Group:		Applications/Multimedia
License:	GPLv3+
URL:		https://savannah.nongnu.org/projects/solang/
Source0:	http://download.savannah.nongnu.org/releases/solang/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:	intltool
BuildRequires:	cairomm-devel
BuildRequires:	exiv2-devel
BuildRequires:	compat-libgdamm-devel
BuildRequires:	compat-libgda-sqlite-devel
BuildRequires:	libgdl-devel
BuildRequires:	glibmm24-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	gtkimageview-devel
BuildRequires:	gtkmm24-devel
BuildRequires:	desktop-file-utils
BuildRequires:	flickcurl-devel
BuildRequires:	libsoup-devel
BuildRequires:	webkitgtk-devel
BuildRequires:	babl-devel
BuildRequires:	gegl-devel

Requires:	compat-libgda-sqlite
Requires:	babl
Requires:	gegl

#Patch0: http://lists.gnu.org/archive/html/solang-devel/2009-09/msg00018.html
Patch0:		%{name}-0001-Silenced-Gtk-warnings.patch

%description
Solang is a free photo manager that will act as a front-end for
directory based local storage as well as remote photo-storage systems, as can
be said, on the "Cloud". Basic editing support is also planned as well as a
small pipelaine for RAW processing.

The aim of this project is to break the performance charecteristics
of current popular photo management softwares and provide a fast and reliable
alternative that does not place humongous demands on user's hardware resources
even to meet basic functionality.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%configure --docdir=%{_docdir}/%{name}-%{version}
make %{?smp_flags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}

desktop-file-install					\
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications		\
${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/solang-layout.xml
%{_datadir}/%{name}/ui
%{_datadir}/%{name}/pixmaps
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/solang.png
%{_datadir}/icons/hicolor/16x16/apps/solang.png
%{_datadir}/icons/hicolor/22x22/apps/solang.png
%{_datadir}/icons/hicolor/24x24/apps/solang.png
%{_datadir}/icons/hicolor/32x32/apps/solang.png
%{_datadir}/icons/hicolor/48x48/apps/solang.png
%{_datadir}/icons/hicolor/96x96/apps/solang.png
%{_datadir}/icons/hicolor/scalable/apps/solang.svg

%changelog
* Mon Sep 21 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.3-1
- New upstream release
- Added a patch from upstream to silence some Gtk+ warnings

* Thu Jul 11 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.2-2
- Cleaned up the dependencies

* Thu Jul 09 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.2-1
- New upstream release

* Wed Jul 08 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.2-0.1.20090707
- New upstream tarball

* Tue Jul 07 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.1-2.20090707git
- New git snapshot

* Wed Jun 24 2009 Hicham HAOUARI <funnylife_ma@yahoo.com> - 0.1-1.20090624git
- Initial package for Fedora
